Package com.ngrok

# Class Ngrok.BackendsNamespace

java.lang.Object
com.ngrok.Ngrok.BackendsNamespace

Enclosing class:
  Ngrok

public class Ngrok.BackendsNamespace extends Object
A namespace object for Backends.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FailoverBackends`
  `failover()`
  A Failover backend defines failover behavior within a list of referenced backends.
  `HttpResponseBackends`
  `httpResponse()`
  Creates a service client for `HttpResponseBackends`.
  `TunnelGroupBackends`
  `tunnelGroup()`
  A Tunnel Group Backend balances traffic among all online tunnels that match a label selector.
  `WeightedBackends`
  `weighted()`
  A Weighted Backend balances traffic among the referenced backends.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### failover

    public FailoverBackends failover()
    A Failover backend defines failover behavior within a list of referenced backends. Traffic is sent to the first backend in the list. If that backend is offline or no connection can be established, ngrok attempts to connect to the next backend in the list until one is successful. See also https://ngrok.com/docs/api#api-failover-backends
    Returns:
      a service client

  - ### httpResponse

    public HttpResponseBackends httpResponse()
    Creates a service client for `HttpResponseBackends`. See also https://ngrok.com/docs/api#api-http-response-backends
    Returns:
      a service client

  - ### tunnelGroup

    public TunnelGroupBackends tunnelGroup()
    A Tunnel Group Backend balances traffic among all online tunnels that match a label selector. See also https://ngrok.com/docs/api#api-tunnel-group-backends
    Returns:
      a service client

  - ### weighted

    public WeightedBackends weighted()
    A Weighted Backend balances traffic among the referenced backends. Traffic is assigned proportionally to each based on its weight. The percentage of traffic is calculated by dividing a backend's weight by the sum of all weights. See also https://ngrok.com/docs/api#api-weighted-backends
    Returns:
      a service client